# Cite mothur

To cite mothur in a scholarly article, please use:

> Schloss PD et al. 2009. Introducing mothur: Open-source, platform-independent, community-supported software for describing and comparing microbial communities. Applied and Environmental Microbiology 75:7537–7541.

A BibTeX entry for LaTeX users:

```TeX
@article{schloss_introducting_2009,
	author = {Schloss, Patrick D. and Westcott, Sarah L. and Ryabin, Thomas and Hall, Justine R. and Hartmann, Martin and Hollister, Emily B. and Lesniewski, Ryan A. and Oakley, Brian B. and Parks, Donovan H. and Robinson, Courtney J. and Sahl, Jason W. and Stres, Blaz and Thallinger, Gerhard G. and Van Horn, David J. and Weber, Carolyn F.},
	title = {Introducing mothur: Open-Source, Platform-Independent, Community-Supported Software for Describing and Comparing Microbial Communities},
	volume = {75},
	number = {23},
	pages = {7537--7541},
	year = {2009},
	doi = {10.1128/AEM.01541-09},
	issn = {0099-2240},
	URL = {https://aem.asm.org/content/75/23/7537},
	journal = {Applied and Environmental Microbiology}
}
```

## Cite OptiClust

If you use the OptiClust method in the `cluster` or `cluster.split` commands,
please also cite the OptiClust paper:

> Westcott SL, Schloss PD. 2017. OptiClust, an Improved Method for Assigning Amplicon-Based Sequence Data to Operational Taxonomic Units. mSphere 2:e00073-17.

A BibTeX entry for LaTeX users:

```TeX
@article{westcott_opticlust_2017,
    title = {{{OptiClust}}, an {{Improved Method}} for {{Assigning Amplicon}}-{{Based Sequence Data}} to {{Operational Taxonomic Units}}},
    author = {Westcott, Sarah L. and Schloss, Patrick D.},
    year = {2017},
    volume = {2},
    number = {2},
    pages = {e00073-17},
    issn = {2379-5042},
    doi = {10.1128/mSphereDirect.00073-17},
    journal = {mSphere}
}
```

## Cite OptiFit

If you use the `cluster.fit` command, please also cite the OptiFit paper:

> Sovacool KL, Westcott SL, Mumphrey MB, Dotson GA, Schloss PD. 2022. OptiFit: an Improved Method for Fitting Amplicon Sequences to Existing OTUs. mSphere 7:e00916-21.

A BibTeX entry for LaTeX users:

```TeX
@article{sovacool_optifit_2022,
  title = {{{OptiFit}}: An {{Improved Method}} for {{Fitting Amplicon Sequences}} to {{Existing OTUs}}},
  author = {Sovacool, Kelly L. and Westcott, Sarah L. and Mumphrey, M. Brodie and Dotson, Gabrielle A. and Schloss, Patrick D.},
  year = {2022},
  volume = {7},
  number = {1},
  pages = {e00916-21},
  doi = {10.1128/msphere.00916-21},
  journal = {mSphere}
}
```
